org.eclipse.ecf.osgi.services.remoteserviceadmin

## Interface ITopologyManager

All Known Implementing Classes:
  TopologyManager

    public interface ITopologyManager

Since:
  4.6

### Field Summary

Fields
`static boolean` `ENDPOINT_ALLOWLOCALHOST`
`static String` `ENDPOINT_ALLOWLOCALHOST_PROP`
`static String` `ENDPOINT_CONDITIONAL_OP`
`static String` `ENDPOINT_CONDITIONAL_OP_PROP`
`static String` `ENDPOINT_EXTRA_CONDITIONAL`
`static String` `ENDPOINT_EXTRA_CONDITIONAL_PROP`
`static String` `ENDPOINT_EXTRA_FILTERS`
`static String` `ENDPOINT_EXTRA_FILTERS_PROP`
`static String` `EXPORT_REGISTERED_SERVICES_FILTER`
`static String` `EXPORT_REGISTERED_SERVICES_FILTER_PROP`
`static String` `ONLY_ECF_SCOPE`

### Method Summary

All Methods Instance Methods Abstract Methods
`String[]` `getEndpointFilters()`
`String[]` `setEndpointFilters(String[] newFilters)`

### Field Detail

#### ENDPOINT_ALLOWLOCALHOST_PROP

    static final String ENDPOINT_ALLOWLOCALHOST_PROP

See Also:
  Constant Field Values

#### ENDPOINT_ALLOWLOCALHOST

    static final boolean ENDPOINT_ALLOWLOCALHOST

#### ENDPOINT_CONDITIONAL_OP_PROP

    static final String ENDPOINT_CONDITIONAL_OP_PROP

See Also:
  Constant Field Values

#### ENDPOINT_CONDITIONAL_OP

    static final String ENDPOINT_CONDITIONAL_OP

#### ENDPOINT_EXTRA_CONDITIONAL_PROP

    static final String ENDPOINT_EXTRA_CONDITIONAL_PROP

See Also:
  Constant Field Values

#### ENDPOINT_EXTRA_CONDITIONAL

    static final String ENDPOINT_EXTRA_CONDITIONAL

#### ENDPOINT_EXTRA_FILTERS_PROP

    static final String ENDPOINT_EXTRA_FILTERS_PROP

See Also:
  Constant Field Values

#### ENDPOINT_EXTRA_FILTERS

    static final String ENDPOINT_EXTRA_FILTERS

#### ONLY_ECF_SCOPE

    static final String ONLY_ECF_SCOPE

See Also:
  Constant Field Values

#### EXPORT_REGISTERED_SERVICES_FILTER_PROP

    static final String EXPORT_REGISTERED_SERVICES_FILTER_PROP

See Also:
  Constant Field Values

#### EXPORT_REGISTERED_SERVICES_FILTER

    static final String EXPORT_REGISTERED_SERVICES_FILTER

### Method Detail

#### getEndpointFilters

    String[] getEndpointFilters()

#### setEndpointFilters

    String[] setEndpointFilters(String[] newFilters)